Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 262081 - sci-chemistry/openbabel-2.0.2 fails to compile w/gcc-4.3.x
Summary: sci-chemistry/openbabel-2.0.2 fails to compile w/gcc-4.3.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Chemistry-Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2009-03-11 05:36 UTC by Maciej Mrozowski
Modified: 2010-04-21 14:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
compilation fix (openbabel-2.0.2-gcc-4.3.patch,2.51 KB, patch)
2009-03-11 05:53 UTC, Maciej Mrozowski
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Mrozowski gentoo-dev 2009-03-11 05:36:33 UTC
gcc-4.3.3, glibc-2.9_p20081201-r2

multiple build failures with missing strncpy, strlen, getenv, memcpy, strncasecmp, missing include file <typinfo>

I guess it's too old to be worthy patching but as it's marked stable...
Comment 1 Maciej Mrozowski gentoo-dev 2009-03-11 05:53:51 UTC
Created attachment 184652 [details, diff]
compilation fix
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-11 23:24:00 UTC
This looks more generally to be a gcc-4.3 issue if that patch fixes it.
Comment 3 Marcus D. Hanwell (RETIRED) gentoo-dev 2009-07-20 16:06:38 UTC
Sorry, missed this bug. We should target openbabel-2.2.1 for stabilization. I will look into potential issues. Ideally 2.0.2, 2.1.1 and 2.2.0 should be removed from the tree.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-09 22:13:35 UTC
Given we haven't got 4.3 in stable yet this should be count as fixed.
Comment 5 Rafal Rzepecki 2009-10-09 01:42:53 UTC
Please reopen.

gcc-4.3.2 is now stable, which breaks openbabel on stable systems.
I can confirm that the patch fixes it.
Comment 6 Maciej Mrozowski gentoo-dev 2009-10-09 14:00:42 UTC
Reopening, please close when either patch is applied or unaffected version stabilized. Thanks.
Comment 7 Samuli Suominen gentoo-dev 2010-04-21 14:01:55 UTC
See bug 288413. Current stable is 2.2.1, and I'm pretty sure it compiled with GCC 4.3.4 when I marked it stable on amd64.

So closing this...